Subject: Re: bug#56117: 29.0.50; pgtk does not distinguish between <kp-separator> and "."/","

From: Po Lu <[email-masked]>
Date: Thu, 23 Jun 2022 16:16:41 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> And as both Eli and I have said, we think those changes you've made to
> pgtk here should be reverted so that these keys work as before.

This isn't the super-key related bug, and in fact they shouldn't have
been merged.  No amount of changes on our side can work around input
methods swallowing the shift modifier in "C-S-u" and the "kp-" in
"kp-separator".

> Even though it's "wrong".  Maintaining a user-facing program like
> Emacs is 70% dealing with bugs and misfeatures in other systems we're
> interfacing with.

I'm trying to figure out how all of that fits together in Wayland to
hopefully fix it in GTK upstream.  Hard-coding real modifier values is
very fundamentally wrong under both X and GTK, and leads to extremely
hard-to-diagnose problems down-the-road.